local _, core = ...; -- Namespace

local AceGUI = LibStub("AceGUI-3.0")


function core.CraftingVsFarming(container)

local frame = AceGUI:Create("Frame")
frame:SetTitle("Crafting Vs Farming")
frame:SetStatusText("|cff00C78CWorthIt-Guides")
frame:SetWidth(400)
frame:SetHeight(500)
frame:SetLayout("Fill")


scrollcontainer = AceGUI:Create("SimpleGroup") -- "InlineGroup" is also good
scrollcontainer:SetFullWidth(true)
scrollcontainer:SetFullHeight(true) -- probably?
scrollcontainer:SetLayout("Fill") -- important!

frame:AddChild(scrollcontainer)

scroll = AceGUI:Create("ScrollFrame")
scroll:SetLayout("Flow") -- probably?
scrollcontainer:AddChild(scroll)

-- Introduction


  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Introduction:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("This is something that is debated and there are pros and cons to both. My goal is to help people decide which method is beneficial to you and how best we can apply this.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

-- Farming

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Farming:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Lets first start off with Farming, this is one area where the barrier to entry is very low in order to make gold. However, the barrier being low also means that more people are inclined to do this in order to make gold. This can lead to this method being high in competition, though there are many Gold Farms out there which does help offset this even with a high pop server.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("There are multiple different ways of Farming for gold, whether that being Profession based with Mining, Herbalism, Skinning and Fishing. The most common of these are Herb and Mining followed closely by Skinning. This is because Mining and Herb requires very little effort to do in regards to active game play and the returns are reflective of this.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("In regards to Skinning, this is a more active part to play as you are having to kill mobs in game, Looting and Then Skinning which requires more activity in game. This profession Is one of the go to professions when it comes to levelling as you will be doing a lot of killing when levelling and as such a lot of untapped Leather if to not have Skinning.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("The last Profession is of course Fishing, this one is mostly over looked due to a lot of old world fishing farms being not viable and along with this being a Secondary Profession. However, this can be a great Gold Farming Profession if you know where to look. Albino cavefish is the most talked about of these but there are multiple ones you can do. Primal Water being one of them in Nagrand, Elemental Platue which can provide quite a decent chunk of gold just by Fishing.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("However, there are multiple other gold Farms you can do without professions which are Elemental mats, Mounts, Battle Pets, Raw Gold but this typically rely on Good RNG meaning that you are rolling the dice a lot and seeing if you will get a return. Goldenmane Reins being a good example, this farm is great “If” you can get the mount to drop. Located from any mob in Stormsong Valley this can be a great money maker but chances are you will be farming for this for a good few hours before you get the mount in question.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

-- Crafting

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Crafting:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Moving on to Crafting, we can see through this profession that it is a very viable Gold Making method and you are able to generate a decent chunk of gold “Over Time”. This biggest draw back for this is the Investment cost of getting started and continued reinvesting earnings meaning that this is more of a long game plan for making gold.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)  
  
  local desc = AceGUI:Create("Label")
  desc:SetText("This however does have some great benefits if you are able to get past the cost of production. Time being one of them. Crafting is by far one of the most time effective ways to make gold as it will give you better returns on your invested time as you are leveraging your time with gold and as such you are not tide to a Gold Per Hour.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)  

  local desc = AceGUI:Create("Label")
  desc:SetText("This is perfect for people wanting to Min Max as I were and by doing this you are able to Scale Far more than Base Farming ( Excluding Transmog, which is a topic I would like to discuss in the future).")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)  

  local desc = AceGUI:Create("Label")
  desc:SetText("Some Notable Professions to get started are Alchemy, Enchanting and Inscription. These funnily enough are all buff based professions, meaning that these are for increasing your characters power but are always in demand because they do not always last.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)  

  local desc = AceGUI:Create("Label")
  desc:SetText("Alchemy Pots and flasks are sort after on Raid Nights and you have the potential to make a lot of more gold on those nights. Enchanting being another which can be scaled quite well but does require better sourcing of materials. Inscription is a great one too meaning that you can scale with the Glyph market and utilizing the Ink Trader ( I made a guide on that last week ) you can pull in a strong profit each and every week.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)  

  local desc = AceGUI:Create("Label")
  desc:SetText("There are more ways such as with crafted BOEs which can be beneficial. These follow the basic crafting methods which are mostly interchangeable between professions and have the same scalability to them.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)  


  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  











end